Buildroot Archive on lore.kernel.org
 help / color / mirror / Atom feed
From: andersen@uclibc.org <andersen@uclibc.org>
To: buildroot@busybox.net
Subject: [Buildroot] svn commit: trunk/buildroot/package/dmraid
Date: Wed Jul 19 10:51:14 2006	[thread overview]
Message-ID: <20060719175112.E7BB848698@busybox.net> (raw)

Author: andersen
Date: 2006-07-19 10:51:12 -0700 (Wed, 19 Jul 2006)
New Revision: 15726

Log:
oops


Added:
   trunk/buildroot/package/dmraid/dmraid.init

Modified:
   trunk/buildroot/package/dmraid/dmraid.mk


Changeset:
Added: trunk/buildroot/package/dmraid/dmraid.init
===================================================================
--- trunk/buildroot/package/dmraid/dmraid.init	2006-07-19 06:37:58 UTC (rev 15725)
+++ trunk/buildroot/package/dmraid/dmraid.init	2006-07-19 17:51:12 UTC (rev 15726)
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# try to load module in case that hasn't been done yet
+modprobe dm-mod >/dev/null 2>&1
+
+set -e
+
+[ -x /sbin/dmraid ] || exit 0
+
+case "$1" in
+	start|"")
+		echo "Setting up DMRAID devices..."
+		/sbin/dmraid --activate yes --ignorelocking --verbose
+		;;
+
+	stop)
+		echo "Shutting down DMRAID devices... "
+		/sbin/dmraid --activate no --ignorelocking --verbose
+		;;
+
+	restart|force-reload)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+
+	*)
+		echo "Usage: dmraid {start|stop|restart|force-reload}"
+		exit 1
+		;;
+esac

Modified: trunk/buildroot/package/dmraid/dmraid.mk
===================================================================
--- trunk/buildroot/package/dmraid/dmraid.mk	2006-07-19 06:37:58 UTC (rev 15725)
+++ trunk/buildroot/package/dmraid/dmraid.mk	2006-07-19 17:51:12 UTC (rev 15726)
@@ -18,7 +18,7 @@
 
 $(DMRAID_DIR)/.unpacked: $(DL_DIR)/$(DMRAID_SOURCE)
 	$(DMRAID_CAT) $(DL_DIR)/$(DMRAID_SOURCE) | tar -C $(BUILD_DIR) -xvf -
-	$(SOURCE_DIR)/patch-kernel.sh $(DMRAID_DIR) $(SOURCE_DIR) dmraid\*.patch
+	toolchain/patch-kernel.sh $(DMRAID_DIR) package/dmraid \*.patch
 	touch $(DMRAID_DIR)/.unpacked
 
 $(DMRAID_DIR)/.configured: $(DMRAID_DIR)/.unpacked
@@ -44,7 +44,7 @@
 
 $(DMRAID_TARGET_BINARY): $(DMRAID_DIR)/tools/$(DMRAID_BINARY)
 	$(INSTALL) -m 0755 $? $@
-	$(INSTALL) -m 0755 $(SOURCE_DIR)/dmraid.init $(TARGET_DIR)/etc/init.d/dmraid
+	$(INSTALL) -m 0755 package/dmraid/dmraid.init $(TARGET_DIR)/etc/init.d/dmraid
 
 dmraid: uclibc dm $(DMRAID_TARGET_BINARY)
 

             reply	other threads:[~2006-07-19 10:51 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2006-07-19 10:51 andersen [this message]
  -- strict thread matches above, loose matches on Subject: below --
2006-10-09 21:11 [Buildroot] svn commit: trunk/buildroot/package/dmraid andersen at uclibc.org
2006-11-29  8:36 aldot at uclibc.org
2007-07-08 11:03 aldot at uclibc.org
2009-03-04 13:22 jacmet at uclibc.org

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20060719175112.E7BB848698@busybox.net \
    --to=andersen@uclibc.org \
    --cc=buildroot@busybox.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox